RKWARD(1)

NAMN
rkward - Ett KDE-gränssnitt för R

SYNOPSIS

rkward [--evaluate R-kod] [--debug-level nivå] [--debug-flags flaggor] [--debug-output vart] [--backend-debugger avlusningskommando] [--r-executable sökväg_till_körbart_program] [--reuse] [--autoreuse] [--nowarn-external] [Generella KDE-väljare] [Generella Qt-väljare] [filer_att_öppna]

BESKRIVNING

RKWard är ett KDE-baserad grafisk användargränssnitt och integrerad utvecklingsmiljö för skriptspråket R för statistisk databehandling.

För mer information, se RKWards webbsida[1], och dokumentationen som tillhandahålls inne i RKWard.

VÄLJARE

--evaluate R-kod
    Den givna R-koden utvärderas efter att RKWard har startat, och efter eventuellt angiven arbetsyta har lästs in. I huvudsak användbar för automatiserad utprovning.

--debug-level nivå
    Detaljnivå för avlusningsutmatning. 0-5, där 0 är ingen utmatning, 5 är all utmatning inklusive funktionsspårningsinformation. Standardvärdet är 2.

--debug-output var
    Vart avlusningsutmatning skickas. Det normala är att lagra den i en fil i den tillfälliga katalogen. Att ange "terminal" skriver istället ut avlusningsutmatning på standardfelutmatningen (användbart för att avlusa startproblem). Observera att avlusningsutmatning från bakgrundsprocessen alltid lagras i en fil.

--debug-flags flaggor
    Anpassa vilka sektioner av koden som ska avlusas. Flaggor anges som ett binärt tal. Se källkodsfilerna för dokumentation, eftersom det här egentligen är en intern väljare.

--backend-debugger kommando
    Kör RKWard bakgrundsprogram via det angivna avlusningskommandot. För att lägga till väljare i avlusningskommandot, omge dem med enkla citationstecken (') tillsammans med kommandot. Observera: Avlusningsargument avdelas med mellanslag. Om det inte är lämpligt, måste ett eget omgivande skript skrivas för att starta avlusaren. Försäkra också att avlusarens all utmatning och/eller inmatning dirigeras om på lämpligt sätt. Se exemplen.

--r-executable kommando
    I fallet med flera R-installationer, ange installationen som ska användas, t.ex. /usr/bin/R.Du kan också använda strängen "auto", vilket gör att RKWard försöker hitta R med en av de kända installationssökvägarna. Observera att medan RKWard ofta fungerar med nyare versioner av R, behöver det ibland kompileras om för den versionen, eller är kanske helt inkompatibelt.

--reuse
    Om en instans av RKWard redan kör, lägg den överst och öppna filer-att-öppna. Observera att andra kommandoradsväljare ignoreras i fallet då en instans återanvänds.

--autoreuse
    Beter sig som --reuse, om några filväljare också anges startas en ny instans, annars. Avsedd för användning i .desktop-fil.

--nowarn-external
    När RKWard-insticksprogram startas från kommandoraden (dvs. när filer-att-öppna innehåller webbadresser på formen rkward://runplugin/...), visar RKWard oftast en varning att sådana webbadresser skulle kunna användas för att utföra skadliga åtgärder på systemet. Varningen gäller särskilt länkar som hittas på opålitliga webbplatser, eller andra opålitliga externa källor. Om du vill skapa lokala skript för RKWard, kan varningen undvikas genom att lägga till --nowarn-external på kommandoraden.

--quirkmode
    Inaktivera viss kod för startvalidering. Experimentellt alternativ, inte avsett för regelbunden användning.

filer-att-öppna
    Du kan ange hur många filnamn eller webbadresser som helt att öppna i RKWard. Oftast är det antingen arbetsytefiler, R-skriptfiler eller rkward:// webbadresser (t.ex. för att starta med en dialogruta i ett insticksprogram). Att ange mer än en arbetsytefil gör att arbetsytorna sammanfogas, och rekommenderas inte.

SE OCKSÅ

R(1)

EXEMPEL

    # Starta med dialogrutan t-test
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Öppna två skriptfiler i en instans av RKWard som kör (eller i en ny instans om RKWard inte kör)
    rkward --reuse file_a.R file_b.R

    # Kör bakgrundsprogrammet rkward via valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'.

UPPHOVSMÄN

RKWard är skrivet av Thomas Friedrichsmeier och RKWard-gruppen. Se RKWards webbsida[1].

AUTHOR

Thomas Friedrichsmeier <rkward-devel@kde.org>
    RKWard manualsida.

NOTER

1.  RKWards webbsida
    https://rkward.kde.org/